// salon01.inc
// el salon | the room
// www.luisvaloyes.uni.cc

// el piso | the floor
#declare piso01 = box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <80,1,80> translate <0,-0.5,0>
pigment {image_map {gif "piso01.gif" map_type 0 interpolate 0}rotate <90,0,0> scale 6}
normal {bump_map {gif "piso00.gif" bump_size 5} rotate <90,0,0> scale 6} finish {ambient .05}}

// el tablero (pizarron) | the green board
#declare tablero = union {
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <40,12,0.25>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <40,0.25,0.125> translate <0,5.875,0.1875>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <40,0.25,0.5> translate <0,-5.875,0.375>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <0.25,12,0.125> translate <19.875,0,0.1875>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <0.25,12,0.125> translate <-19.875,0,0.1875>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <40,0.5,0.125> translate <0,-5.75,0.625>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <1.5,0.75,0.5> translate <-13,-5.5,0.375> 
pigment {crackle color_map {[0.0 rgb <.7,.5,.3>][0.4 rgb <.65,.4,.2>][0.7 rgb <.5,.2,0>][0.85 rgb <.8,.65,.5>]} 
turbulence .2 scale <0.075,5,0.075>} finish {phong .125 phong_size 1}}
pigment {image_map {gif "tablero00.gif" map_type 0 interpolate 0} scale <40,12,1> rotate <0,180,0> translate <20,6,0>}
finish {ambient .65}}

// el aviso de "no fume" | the "do not smoke" sign
#declare nofume = box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <3,3,.25>
pigment {image_map {gif "nofume.gif" map_type 0 interpolate 0} scale <3,3,1> rotate <0,180,0> translate <1.5,1.5,0>}
finish {metallic reflection .075 ambient .35}}

// la pared del tablero | the green board's wall
#declare pared01 = union { 
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <80,30,1> translate <0,15,0> 
pigment {image_map {gif "blokes0.gif" map_type 0 interpolate 0} scale <5,5,1> rotate <0,180,0>}
normal {bump_map {gif "blokes.gif" bump_size 5}  rotate <0,180,0> scale <5,5,1>} finish {ambient .8}}
object {tablero translate <-12.5,13,0.5>}
object {nofume translate <-35,17.5,0.5>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <80,1,.1> translate <0,0.5,0.5> pigment {rgb <.4,.25,.15>} finish {phong .3 phong_size .5}}}

// el techo | the ceiling
#declare techo01 = box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <80,1,80> 
pigment {image_map {gif "techo01.gif" map_type 0 interpolate 0} scale 20 rotate <90,0,0>}
normal {bump_map {gif "piso00.gif" bump_size 5} scale 20 rotate <90,0,0>}
finish {ambient .7 phong 1 phong_size 2}
translate <0,30.5,0>}

#include "puerta.inc"

// la pared del fondo, con la puerta | the wall with the door
#declare pared02 = union {
difference { union {box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <1,30,80> translate <0,15,0> 
pigment {image_map {gif "blokes0.gif" map_type 0 interpolate 0} scale <5,5,1> rotate <0,90,0>}
normal {bump_map {gif "blokes.gif" bump_size 5}   rotate <0,90,0> scale <5,5,1>} finish {ambient .8}}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <.1,1,80> translate <-0.5,0.5,0> pigment {rgb <.4,.25,.15>} finish {phong .3 phong_size .5}}}
object {sacap_x10 rotate <0,90,0> translate <0,0,-32>}}
object {marcopuerta_10a texture {metalnegromarcos} rotate <0,90,0> translate <0.5,0,-32>}
object {hojasimplevitra10a rotate <0,90,0> translate <0.5,0,-37>}}

// la pared con el ventanal | the wall with the window
#declare pared03 = union {
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <1,2.5,80> translate <0,1.25,0> 
pigment {image_map {gif "blokes0.gif" map_type 0 interpolate 0} scale <5,5,1> rotate <0,90,0>}
normal {bump_map {gif "blokes.gif" bump_size 5}   rotate <0,90,0> scale <5,5,1>} finish {ambient .8}}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <1,2.5,80> translate <0,28.75,0> 
pigment {image_map {gif "blokes0.gif" map_type 0 interpolate 0} scale <5,5,1> rotate <0,90,0>}
normal {bump_map {gif "blokes.gif" bump_size 5}   rotate <0,90,0> scale <5,5,1>} finish {ambient .8}}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <.1,1,80> translate <0.5,0.5,0> pigment {rgb <.4,.25,.15>} finish {phong .3 phong_size .5}}
union {
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <.5,.5,80> translate <0,2.75,0>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <.5,.5,80> translate <0,27.25,0>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <.5,.5,80> translate <0,7.5,0>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <.5,.5,80> translate <0,22.5,0>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <.5,25,.5> translate <0,15,0>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <.5,25,.5> translate <0,15,10>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <.5,25,.5> translate <0,15,20>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <.5,25,.5> translate <0,15,30>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <.5,25,.5> translate <0,15,40>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <.5,25,.5> translate <0,15,-10>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <.5,25,.5> translate <0,15,-20>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <.5,25,.5> translate <0,15,-30>}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <.5,25,.5> translate <0,15,-39.75>}
texture {metalnegromarcos}}
box {<-0.5,-0.5,-0.5><0.5,0.5,0.5> scale <.1,25,80> translate <0,15,0>
pigment {rgbf <.9,.9,.9,.9>} finish {metallic reflection .125 specular .1}}
}

// el salon | the room
#declare salon001 = union {
object {piso01} object {pared01 translate <0,0,-40.5>} object {pared01 translate <0,0,40.5>}
object {pared02 translate <22.5,0,0>} object {pared03 translate <-39.5,0,0>}
object {techo01}}
//}